summaryrefslogtreecommitdiff
path: root/testprogs
diff options
context:
space:
mode:
authorMatthieu Patou <mat@matws.net>2010-07-12 00:07:20 +0400
committerMatthieu Patou <mat@matws.net>2010-07-17 17:56:16 +0400
commite461e29cd9a81d4a74fcd489c2c7b693b49f41d4 (patch)
tree850edf1fef72de36a326650ec716ece2afde6fd4 /testprogs
parent5a8c77f97b30ab2c81f7170a12dddb4ab9972414 (diff)
downloadsamba-e461e29cd9a81d4a74fcd489c2c7b693b49f41d4.tar.gz
samba-e461e29cd9a81d4a74fcd489c2c7b693b49f41d4.tar.bz2
samba-e461e29cd9a81d4a74fcd489c2c7b693b49f41d4.zip
s4 unittests: add blackblox test for ktpass
Diffstat (limited to 'testprogs')
-rwxr-xr-xtestprogs/blackbox/test_ktpass.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/testprogs/blackbox/test_ktpass.sh b/testprogs/blackbox/test_ktpass.sh
new file mode 100755
index 0000000000..b106d50240
--- /dev/null
+++ b/testprogs/blackbox/test_ktpass.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+if [ $# -lt 1 ]; then
+cat <<EOF
+Usage: blackbox_newuser.sh PREFIX
+EOF
+exit 1;
+fi
+
+PREFIX="$1"
+shift 1
+
+. `dirname $0`/subunit.sh
+
+
+net="$BUILDDIR/bin/net"
+samba4bindir="$BUILDDIR/bin"
+samba4kinit="$samba4bindir/samba4kinit$EXEEXT"
+CONFIG="--configfile=$PREFIX/dc/etc/smb.conf"
+
+#two test for creating new user
+#newuser account is created with cn=Given Name Initials. Surname
+#newuser1 account is created using cn=username
+testit "newuser" $net newuser $CONFIG --given-name="User" --surname="Tester" --initials="T" --profile-path="\\\\myserver\\my\\profile" --script-path="\\\\myserver\\my\\script" --home-directory="\\\\myserver\\my\\homedir" --job-title="Tester" --department="Testing" --company="Samba.org" --description="Description" --mail-address="tester@samba.org" --internet-address="http://samba.org" --telephone-number="001122334455" --physical-delivery-office="101" --home-drive="H:" testuser testp@ssw0Rd|| failed=`expr $failed + 1`
+
+KRB5CCNAME="$PREFIX/tmpccache"
+export KRB5CCNAME
+echo "testp@ssw0Rd" >$PREFIX/tmppassfile
+testit "kinit with passwd" $samba4kinit -e arcfour-hmac-md5 --password-file=$PREFIX/tmppassfile testuser@SAMBA.EXAMPLE.COM || failed=`expr $failed + 1`
+testit "ktpass" $BUILDDIR/scripting/bin/ktpass.sh --host LOCALDC --out $PREFIX/testuser.kt --princ testuser --pass "testp@ssw0Rd" --path-to-ldbsearch=$BUILDDIR/bin|| failed=`expr $failed + 1`
+
+rm -f $KRB5CCNAME
+
+testit "kinit with keytab" $samba4kinit -e arcfour-hmac-md5 --use-keytab -t $PREFIX/testuser.kt testuser@SAMBA.EXAMPLE.COM || failed=`expr $failed + 1`
+
+rm -f $PREFIX/tmpccache $PREFIX/testuser.kt
+exit $failed